#include <stdio.h>

int main(){
	int i,j;
	int len=0;
	char s[128];
	int freq[26];
	int freqpairs[26][26];
	scanf("%s", &s[0]);
	/* lunghezza della stringa */
	for(i=0; s[i]!='\0'; i++);
	len=i;
	for(i=0; i<26; i++) freq[i]=0;
	for(i=0; i<26; i++)
		for(j=0; j<26; j++)
			freqpairs[i][j]=0;
	
	/* frequenze delle singole lettere */
	for(i=0; s[i]!='\0'; i++)
		freq[s[i]-'a']=freq[s[i]-'a']+1;
	for(i=0; i<26; i++)
		printf("f(%c)=%f%%\n", 'a'+i, (((float)freq[i])/len)*100);

	/* frequenze delle coppie */	
	for(i=1; s[i]!='\0'; i++)
		freqpairs[s[i-1]-'a'][s[i]-'a']+=1;
	for(i=1; i<26; i++)
		for(j=0; j<26; j++)
			if (freqpairs[i][j]!=0)
				printf("f(%c%c)=%f%%\n", 'a'+i, 'a'+j, 
					(((float)freqpairs[i][j])/len)*100);
}
